Index: LMDZ5/trunk/libf/phylmd/calcul_STDlev.h
===================================================================
--- LMDZ5/trunk/libf/phylmd/calcul_STDlev.h	(revision 1861)
+++ LMDZ5/trunk/libf/phylmd/calcul_STDlev.h	(revision 1862)
@@ -1,45 +1,45 @@
-c
-c $Header$
-c
-cIM on initialise les variables 
-c
+!
+! $Header$
+!
+!IM on initialise les variables 
+!
         missing_val=nf90_fill_real
-c
-cIM freq_moyNMC = frequences auxquelles on moyenne les champs accumules 
-cIM               sur les niveaux de pression standard du NMC
+!
+!IM freq_moyNMC = frequences auxquelles on moyenne les champs accumules 
+!IM               sur les niveaux de pression standard du NMC
       DO n=1, nout
        freq_moyNMC(n)=freq_outNMC(n)/freq_calNMC(n)
       ENDDO
-c
+!
         CALL ini_undefSTD(itap,freq_outNMC)
-c
-cIM on interpole les champs sur les niveaux STD de pression 
-cIM a chaque pas de temps de la physique
-c
-c-------------------------------------------------------c
-c positionnement de l'argument logique a .false.        c
-c pour ne pas recalculer deux fois la meme chose !      c
-c a cet effet un appel a plevel_new a ete deplace       c
-c a la fin de la serie d'appels                         c
-c la boucle 'DO k=1, nlevSTD' a ete internalisee        c
-c dans plevel_new, d'ou la creation de cette routine... c
-c-------------------------------------------------------c
-c
-        CALL plevel_new(klon,klev,nlevSTD,.true.,pplay,rlevSTD,
-     &              t_seri,tlevSTD)
-        CALL plevel_new(klon,klev,nlevSTD,.false.,pplay,rlevSTD,
-     &             u_seri,ulevSTD)
-        CALL plevel_new(klon,klev,nlevSTD,.false.,pplay,rlevSTD,
-     &             v_seri,vlevSTD)
-c
-
-c
-        CALL plevel_new(klon,klev,nlevSTD,.false.,pplay,rlevSTD,
-     &             zphi/RG,philevSTD)
-        CALL plevel_new(klon,klev,nlevSTD,.false.,pplay,rlevSTD,
-     &             qx(:,:,ivap),qlevSTD)
-        CALL plevel_new(klon,klev,nlevSTD,.false.,pplay,rlevSTD,
-     &             zx_rh*100.,rhlevSTD)
-c
+!
+!IM on interpole les champs sur les niveaux STD de pression 
+!IM a chaque pas de temps de la physique
+!
+!-------------------------------------------------------c
+! positionnement de l'argument logique a .false.        c
+! pour ne pas recalculer deux fois la meme chose !      c
+! a cet effet un appel a plevel_new a ete deplace       c
+! a la fin de la serie d'appels                         c
+! la boucle 'DO k=1, nlevSTD' a ete internalisee        c
+! dans plevel_new, d'ou la creation de cette routine... c
+!-------------------------------------------------------c
+!
+        CALL plevel_new(klon,klev,nlevSTD,.true.,pplay,rlevSTD, &
+                    t_seri,tlevSTD)
+        CALL plevel_new(klon,klev,nlevSTD,.false.,pplay,rlevSTD, &
+                   u_seri,ulevSTD)
+        CALL plevel_new(klon,klev,nlevSTD,.false.,pplay,rlevSTD, &
+                   v_seri,vlevSTD)
+!
+
+!
+        CALL plevel_new(klon,klev,nlevSTD,.false.,pplay,rlevSTD, &
+                   zphi/RG,philevSTD)
+        CALL plevel_new(klon,klev,nlevSTD,.false.,pplay,rlevSTD, &
+                   qx(:,:,ivap),qlevSTD)
+        CALL plevel_new(klon,klev,nlevSTD,.false.,pplay,rlevSTD, &
+                   zx_rh*100.,rhlevSTD)
+!
         DO l=1, klev
          DO i=1, klon
@@ -47,7 +47,7 @@
          ENDDO !i
         ENDDO !l
-        CALL plevel_new(klon,klev,nlevSTD,.false.,pplay,rlevSTD,
-     &             zx_tmp_fi3d,uvSTD)
-c
+        CALL plevel_new(klon,klev,nlevSTD,.false.,pplay,rlevSTD, &
+                   zx_tmp_fi3d,uvSTD)
+!
         DO l=1, klev
          DO i=1, klon
@@ -55,7 +55,7 @@
          ENDDO !i
         ENDDO !l
-        CALL plevel_new(klon,klev,nlevSTD,.false.,pplay,rlevSTD,
-     &             zx_tmp_fi3d,vqSTD)
-c
+        CALL plevel_new(klon,klev,nlevSTD,.false.,pplay,rlevSTD, &
+                   zx_tmp_fi3d,vqSTD)
+!
         DO l=1, klev
          DO i=1, klon
@@ -63,7 +63,7 @@
          ENDDO !i
         ENDDO !l
-        CALL plevel_new(klon,klev,nlevSTD,.false.,pplay,rlevSTD,
-     &             zx_tmp_fi3d,vTSTD)
-c
+        CALL plevel_new(klon,klev,nlevSTD,.false.,pplay,rlevSTD, &
+                   zx_tmp_fi3d,vTSTD)
+!
         DO l=1, klev
          DO i=1, klon
@@ -71,7 +71,7 @@
          ENDDO !i 
         ENDDO !l
-        CALL plevel_new(klon,klev,nlevSTD,.false.,pplay,rlevSTD,
-     &             zx_tmp_fi3d,wqSTD)
-c
+        CALL plevel_new(klon,klev,nlevSTD,.false.,pplay,rlevSTD, &
+                   zx_tmp_fi3d,wqSTD)
+!
         DO l=1, klev
          DO i=1, klon
@@ -79,7 +79,7 @@
          ENDDO !i
         ENDDO !l
-        CALL plevel_new(klon,klev,nlevSTD,.false.,pplay,rlevSTD,
-     &             zx_tmp_fi3d,vphiSTD)
-c
+        CALL plevel_new(klon,klev,nlevSTD,.false.,pplay,rlevSTD, &
+                   zx_tmp_fi3d,vphiSTD)
+!
         DO l=1, klev
          DO i=1, klon
@@ -87,7 +87,7 @@
          ENDDO !i
         ENDDO !l
-        CALL plevel_new(klon,klev,nlevSTD,.false.,pplay,rlevSTD,
-     &             zx_tmp_fi3d,wTSTD)
-c
+        CALL plevel_new(klon,klev,nlevSTD,.false.,pplay,rlevSTD, &
+                   zx_tmp_fi3d,wTSTD)
+!
         DO l=1, klev
          DO i=1, klon
@@ -95,7 +95,7 @@
          ENDDO !i
         ENDDO !l
-        CALL plevel_new(klon,klev,nlevSTD,.false.,pplay,rlevSTD,
-     &             zx_tmp_fi3d,u2STD)
-c
+        CALL plevel_new(klon,klev,nlevSTD,.false.,pplay,rlevSTD, &
+                   zx_tmp_fi3d,u2STD)
+!
         DO l=1, klev
          DO i=1, klon
@@ -103,7 +103,7 @@
          ENDDO !i
         ENDDO !l
-        CALL plevel_new(klon,klev,nlevSTD,.false.,pplay,rlevSTD,
-     &             zx_tmp_fi3d,v2STD)
-c
+        CALL plevel_new(klon,klev,nlevSTD,.false.,pplay,rlevSTD, &
+                   zx_tmp_fi3d,v2STD)
+!
         DO l=1, klev
          DO i=1, klon
@@ -111,18 +111,18 @@
          ENDDO !i
         ENDDO !l
-        CALL plevel_new(klon,klev,nlevSTD,.false.,pplay,rlevSTD,
-     &             zx_tmp_fi3d,T2STD)
-
-c
+        CALL plevel_new(klon,klev,nlevSTD,.false.,pplay,rlevSTD, &
+                   zx_tmp_fi3d,T2STD)
+
+!
       zx_tmp_fi3d(:,:)=wo(:,:,1) * dobson_u * 1e3 / zmasse / rmo3 * rmd
-        CALL plevel_new(klon,klev,nlevSTD,.false.,pplay,rlevSTD,
-     &             zx_tmp_fi3d,O3STD)
-c
+        CALL plevel_new(klon,klev,nlevSTD,.false.,pplay,rlevSTD, &
+                   zx_tmp_fi3d,O3STD)
+!
       if (read_climoz == 2) THEN
       zx_tmp_fi3d(:,:)=wo(:,:,2) * dobson_u * 1e3 / zmasse / rmo3 * rmd
-        CALL plevel_new(klon,klev,nlevSTD,.false.,pplay,rlevSTD,
-     &             zx_tmp_fi3d,O3daySTD)
+        CALL plevel_new(klon,klev,nlevSTD,.false.,pplay,rlevSTD, &
+                   zx_tmp_fi3d,O3daySTD)
       endif
-c
+!
         DO l=1, klev
         DO i=1, klon
@@ -130,38 +130,38 @@
         ENDDO !i
         ENDDO !l
-        CALL plevel_new(klon,klev,nlevSTD,.true.,zx_tmp_fi3d,rlevSTD,
-     &             omega,wlevSTD)
-c
-cIM on somme les valeurs toutes les freq_calNMC secondes
-c
+        CALL plevel_new(klon,klev,nlevSTD,.true.,zx_tmp_fi3d,rlevSTD, &
+                   omega,wlevSTD)
+!
+!IM on somme les valeurs toutes les freq_calNMC secondes
+!
        CALL undefSTD(itap,freq_calNMC, read_climoz)
-c
-cIM on moyenne a la fin du mois ou du jour (toutes les freq_outNMC secondes)
-c
+!
+!IM on moyenne a la fin du mois ou du jour (toutes les freq_outNMC secondes)
+!
        CALL moy_undefSTD(itap,freq_outNMC,freq_moyNMC)
-c
-       CALL plevel(klon,klev,.true.,pplay,50000.,
-     &              zphi/RG,geo500)
-
-cIM on interpole a chaque pas de temps le SWup(clr) et SWdn(clr) a 200 hPa
-c
-      CALL plevel(klon,klevp1,.true.,paprs,20000.,
-     $     swdn0,SWdn200clr)
-      CALL plevel(klon,klevp1,.false.,paprs,20000.,
-     $     swdn,SWdn200)
-      CALL plevel(klon,klevp1,.false.,paprs,20000.,
-     $     swup0,SWup200clr)
-      CALL plevel(klon,klevp1,.false.,paprs,20000.,
-     $     swup,SWup200)
-c
-      CALL plevel(klon,klevp1,.false.,paprs,20000.,
-     $     lwdn0,LWdn200clr)
-      CALL plevel(klon,klevp1,.false.,paprs,20000.,
-     $     lwdn,LWdn200)
-      CALL plevel(klon,klevp1,.false.,paprs,20000.,
-     $     lwup0,LWup200clr)
-      CALL plevel(klon,klevp1,.false.,paprs,20000.,
-     $     lwup,LWup200)
-c
+!
+       CALL plevel(klon,klev,.true.,pplay,50000., &
+                    zphi/RG,geo500)
+
+!IM on interpole a chaque pas de temps le SWup(clr) et SWdn(clr) a 200 hPa
+!
+      CALL plevel(klon,klevp1,.true.,paprs,20000., &
+           swdn0,SWdn200clr)
+      CALL plevel(klon,klevp1,.false.,paprs,20000., &
+           swdn,SWdn200)
+      CALL plevel(klon,klevp1,.false.,paprs,20000., &
+           swup0,SWup200clr)
+      CALL plevel(klon,klevp1,.false.,paprs,20000., &
+           swup,SWup200)
+!
+      CALL plevel(klon,klevp1,.false.,paprs,20000., &
+           lwdn0,LWdn200clr)
+      CALL plevel(klon,klevp1,.false.,paprs,20000., &
+           lwdn,LWdn200)
+      CALL plevel(klon,klevp1,.false.,paprs,20000., &
+           lwup0,LWup200clr)
+      CALL plevel(klon,klevp1,.false.,paprs,20000., &
+           lwup,LWup200)
+!
       twriteSTD(:,:,1)=tsumSTD(:,:,1)
       qwriteSTD(:,:,1)=qsumSTD(:,:,1)
@@ -195,6 +195,6 @@
       vwriteSTD(:,:,4)=vlevSTD(:,:)
       wwriteSTD(:,:,4)=wlevSTD(:,:)
-c
-cIM initialisation 5eme fichier de sortie 
+!
+!IM initialisation 5eme fichier de sortie 
       twriteSTD(:,:,5)=tlevSTD(:,:)
       qwriteSTD(:,:,5)=qlevSTD(:,:)
@@ -204,6 +204,6 @@
       vwriteSTD(:,:,5)=vlevSTD(:,:)
       wwriteSTD(:,:,5)=wlevSTD(:,:)
-c
-cIM initialisation 6eme fichier de sortie 
+!
+!IM initialisation 6eme fichier de sortie 
       twriteSTD(:,:,6)=tlevSTD(:,:)
       qwriteSTD(:,:,6)=qlevSTD(:,:)
@@ -213,5 +213,5 @@
       vwriteSTD(:,:,6)=vlevSTD(:,:)
       wwriteSTD(:,:,6)=wlevSTD(:,:)
-cIM for NMC files
+!IM for NMC files
       DO n=1, nlevSTD3
        DO k=1, nlevSTD
@@ -227,5 +227,5 @@
        ENDDO 
       ENDDO 
-c
+!
       DO n=1, nlevSTD8
        DO k=1, nlevSTD
Index: LMDZ5/trunk/libf/phylmd/calcul_divers.h
===================================================================
--- LMDZ5/trunk/libf/phylmd/calcul_divers.h	(revision 1861)
+++ LMDZ5/trunk/libf/phylmd/calcul_divers.h	(revision 1862)
@@ -1,11 +1,11 @@
-c
-c $Header$
-c
+!
+! $Header$
+!
 
-c     Initialisations diverses au "debut" du mois
+!     Initialisations diverses au "debut" du mois
       IF(debut) THEN
          nday_rain(:)=0.
 
-c        surface terre
+!        surface terre
          paire_ter(:)=0.
          DO i=1, klon
@@ -16,5 +16,5 @@
       ENDIF
 
-cIM   Calcul une fois par jour : total_rain, nday_rain
+!IM   Calcul une fois par jour : total_rain, nday_rain
       IF(MOD(itap,INT(un_jour/dtime)).EQ.0) THEN
          DO i = 1, klon
Index: LMDZ5/trunk/libf/phylmd/declare_STDlev.h
===================================================================
--- LMDZ5/trunk/libf/phylmd/declare_STDlev.h	(revision 1861)
+++ LMDZ5/trunk/libf/phylmd/declare_STDlev.h	(revision 1862)
@@ -1,3 +1,3 @@
-cIM for NMC files
+!IM for NMC files
 !      real twriteSTD(klon,nlevSTD,nfiles)
 !      real qwriteSTD(klon,nlevSTD,nfiles)
@@ -26,32 +26,32 @@
 
       real, save :: rlevSTD(nlevSTD)
-      DATA rlevSTD/100000., 92500., 85000., 70000.,
-     .60000., 50000., 40000., 30000., 25000., 20000.,
-     .15000., 10000., 7000., 5000., 3000., 2000., 1000./
-c$OMP THREADPRIVATE(rlevstd)
+      DATA rlevSTD/100000., 92500., 85000., 70000., &
+      60000., 50000., 40000., 30000., 25000., 20000., &
+      15000., 10000., 7000., 5000., 3000., 2000., 1000./
+!$OMP THREADPRIVATE(rlevstd)
 
       CHARACTER*4, SAVE :: clevSTD(nlevSTD)
-      DATA clevSTD/'1000','925 ','850 ','700 ','600 ',
-     .'500 ','400 ','300 ','250 ','200 ','150 ','100 ',
-     .'70  ','50  ','30  ','20  ','10  '/
-c$OMP THREADPRIVATE(clevSTD)
+      DATA clevSTD/'1000','925 ','850 ','700 ','600 ', &
+      '500 ','400 ','300 ','250 ','200 ','150 ','100 ', &
+      '70  ','50  ','30  ','20  ','10  '/
+!$OMP THREADPRIVATE(clevSTD)
 
       real, save :: rlevSTD3(nlevSTD3)
       DATA rlevSTD3/85000., 50000., 25000./
-c$OMP THREADPRIVATE(rlevSTD3)
+!$OMP THREADPRIVATE(rlevSTD3)
 
       real, save :: rlevSTD8(nlevSTD8)
-      DATA rlevSTD8/100000., 85000., 70000., 50000., 25000., 10000.,
-     $     5000., 1000./
-c$OMP THREADPRIVATE(rlevSTD8) 
-c
+      DATA rlevSTD8/100000., 85000., 70000., 50000., 25000., 10000., &
+           5000., 1000./
+!$OMP THREADPRIVATE(rlevSTD8) 
+!
       REAL geo500(klon)
 
-c nout : niveau de output des variables a une pression donnee
+! nout : niveau de output des variables a une pression donnee
       logical oknondef(klon,nlevSTD,nout)
-c
-c les produits uvSTD, vqSTD, .., T2STD sont calcules
-c a partir des valeurs instantannees toutes les 6 h
-c qui sont moyennees sur le mois
+!
+! les produits uvSTD, vqSTD, .., T2STD sont calcules
+! a partir des valeurs instantannees toutes les 6 h
+! qui sont moyennees sur le mois
 
       REAL zx_tmp_fiNC(klon,nlevSTD)
@@ -59,3 +59,3 @@
       REAL missing_val
       REAL, SAVE :: freq_moyNMC(nout)
-c$OMP THREADPRIVATE(freq_moyNMC)
+!$OMP THREADPRIVATE(freq_moyNMC)
Index: LMDZ5/trunk/libf/phylmd/ini_histday_seri.h
===================================================================
--- LMDZ5/trunk/libf/phylmd/ini_histday_seri.h	(revision 1861)
+++ LMDZ5/trunk/libf/phylmd/ini_histday_seri.h	(revision 1862)
@@ -1,16 +1,16 @@
-c
-c $Id$
-c
-cym Ne fonctionnera pas en mode parallele
+!
+! $Id$
+!
+!ym Ne fonctionnera pas en mode parallele
       IF (is_sequential) THEN
       
       IF (type_run.EQ."AMIP") THEN
-c
+!
        zstophy = dtime
        zout = ecrit_day
-c
+!
          idayref = day_ref
          CALL ymds2ju(annee_ref, 1, idayref, 0.0, zjulian)
-c
+!
          CALL gr_fi_ecrit(1,klon,iim,jjmp1,rlon,zx_lon)
          DO i = 1, iim
@@ -22,109 +22,109 @@
          ENDDO
          CALL gr_fi_ecrit(1,klon,iim,jjmp1,rlat,zx_lat)
-c
+!
          imin_debut=1 
          nbpti=1
          jmin_debut=1 
          nbptj=1
-c
-         CALL histbeg("histday_seri.nc", 
-     .                 iim,zx_lon(:,1), jjmp1,zx_lat(1,:),
-     .                 imin_debut,nbpti,jmin_debut,nbptj,
-     .                 itau_phy, zjulian, dtime,
-     .                 nhori, nid_day_seri)
-c
-         CALL histvert(nid_day_seri, "presnivs", 
-     .                "Vertical levels","mb",
-     .                 klev, presnivs/100., nvert)
-c
-         CALL histdef(nid_day_seri, "bilTOA", 
-     .                "Net radiation at model top", "W/m2",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
-     .                "ave(X)", zstophy,zout)
-c
-         CALL histdef(nid_day_seri, "bils", 
-     .                "Net downward energy flux at surface","W/m2",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
-     .                "ave(X)", zstophy,zout)
-c
-         CALL histdef(nid_day_seri, "ecin", 
-     .                "Total kinetic energy (per unit area)","J/m2",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
-     .                "ave(X)", zstophy,zout)
-c
-cIM 151004 BEG
+!
+         CALL histbeg("histday_seri.nc",  &
+                       iim,zx_lon(:,1), jjmp1,zx_lat(1,:), &
+                       imin_debut,nbpti,jmin_debut,nbptj, &
+                       itau_phy, zjulian, dtime, &
+                       nhori, nid_day_seri)
+!
+         CALL histvert(nid_day_seri, "presnivs",  &
+                      "Vertical levels","mb", &
+                       klev, presnivs/100., nvert)
+!
+         CALL histdef(nid_day_seri, "bilTOA",  &
+                      "Net radiation at model top", "W/m2", &
+                      iim,jjmp1,nhori, 1,1,1, -99, 32,  &
+                      "ave(X)", zstophy,zout)
+!
+         CALL histdef(nid_day_seri, "bils",  &
+                      "Net downward energy flux at surface","W/m2", &
+                      iim,jjmp1,nhori, 1,1,1, -99, 32,  &
+                      "ave(X)", zstophy,zout)
+!
+         CALL histdef(nid_day_seri, "ecin",  &
+                      "Total kinetic energy (per unit area)","J/m2", &
+                      iim,jjmp1,nhori, 1,1,1, -99, 32, &
+                      "ave(X)", zstophy,zout)
+!
+!IM 151004 BEG
          IF(1.EQ.0) THEN
-c
-         CALL histdef(nid_day_seri, "momang", 
-     .               "Total relative angular momentum (per unit area)",
-     .               "kg/s",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
-     .                "ave(X)", zstophy,zout)
-c
-         CALL histdef(nid_day_seri, "frictor", 
-     .               "Friction torque (per unit area)", "N/m",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
-     .                "ave(X)", zstophy,zout)
-c
-         CALL histdef(nid_day_seri, "mountor", 
-     .               "Mountain torque (per unit area)", "N/m",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
-     .                "ave(X)", zstophy,zout)
-c
+!
+         CALL histdef(nid_day_seri, "momang",  &
+                     "Total relative angular momentum (per unit area)", &
+                     "kg/s", &
+                      iim,jjmp1,nhori, 1,1,1, -99, 32, &
+                      "ave(X)", zstophy,zout)
+!
+         CALL histdef(nid_day_seri, "frictor",  &
+                     "Friction torque (per unit area)", "N/m", &
+                      iim,jjmp1,nhori, 1,1,1, -99, 32, &
+                      "ave(X)", zstophy,zout)
+!
+         CALL histdef(nid_day_seri, "mountor",  &
+                     "Mountain torque (per unit area)", "N/m", &
+                      iim,jjmp1,nhori, 1,1,1, -99, 32, &
+                      "ave(X)", zstophy,zout)
+!
          ENDIF !(1.EQ.0) THEN
-c
-         CALL histdef(nid_day_seri, "momang", 
-     .               "Axial angular momentum (per unit area)",
-     .               "kg/s",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
-     .                "ave(X)", zstophy,zout)
-c
-         CALL histdef(nid_day_seri, "torsfc", 
-     .        "Total surface torque (including mountain torque)", "N/m",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
-     .                "ave(X)", zstophy,zout)
-c
-cIM 151004 END        
-c
-         CALL histdef(nid_day_seri, "tamv", 
-     .                "Temperature (mass-weighted vert. ave)", "K",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
-     .                "ave(X)", zstophy,zout)
-c
-         CALL histdef(nid_day_seri, "psol", 
-     .                "Surface pressure", "Pa",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
-     .                "ave(X)", zstophy,zout)
-c
-         CALL histdef(nid_day_seri, "evap", 
-     .                "Evaporation and sublimation (per unit area)", 
-     .                "kg/(m2*s)",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
-     .                "ave(X)", zstophy,zout)
-c
-c          call histdef(nid_day_seri, 
-c    .         "SnowFrac", 
-c    .         "Snow-covered area ", "%",  
-c    .         iim,jjmp1,nhori, 1,1,1, -99, 32,
-c    .         "ave(X)", zstophy,zout)
-c
-c        CALL histdef(nid_day_seri, "snow_depth", 
-cIM 080904  .                "Snow Depth (water equivalent)", "m",
-cIM 191104  .                "Snow Depth (water equivalent)", "kg/m2",
-c    .                "Snow Mass", "kg/m2",
-c    .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
-c    .               "ave(X)", zstophy,zout)
-c
-           call histdef(nid_day_seri, 
-     .         "tsol_"//clnsurf(is_oce), 
-     .         "SST over open (ice-free) ocean ", "K",  
-     .         iim,jjmp1,nhori, 1,1,1, -99, 32,
-     .         "ave(X)", zstophy,zout)
-c
-c=================================================================
-c
+!
+         CALL histdef(nid_day_seri, "momang",  &
+                     "Axial angular momentum (per unit area)", &
+                     "kg/s", &
+                      iim,jjmp1,nhori, 1,1,1, -99, 32, &
+                      "ave(X)", zstophy,zout)
+!
+         CALL histdef(nid_day_seri, "torsfc",  &
+              "Total surface torque (including mountain torque)", "N/m", &
+                      iim,jjmp1,nhori, 1,1,1, -99, 32, &
+                      "ave(X)", zstophy,zout)
+!
+!IM 151004 END        
+!
+         CALL histdef(nid_day_seri, "tamv",  &
+                      "Temperature (mass-weighted vert. ave)", "K", &
+                      iim,jjmp1,nhori, 1,1,1, -99, 32, &
+                      "ave(X)", zstophy,zout)
+!
+         CALL histdef(nid_day_seri, "psol",  &
+                      "Surface pressure", "Pa", &
+                      iim,jjmp1,nhori, 1,1,1, -99, 32,  &
+                      "ave(X)", zstophy,zout)
+!
+         CALL histdef(nid_day_seri, "evap",  &
+                      "Evaporation and sublimation (per unit area)",  &
+                      "kg/(m2*s)", &
+                      iim,jjmp1,nhori, 1,1,1, -99, 32,  &
+                      "ave(X)", zstophy,zout)
+!
+!          call histdef(nid_day_seri, 
+!    .         "SnowFrac", 
+!    .         "Snow-covered area ", "%",  
+!    .         iim,jjmp1,nhori, 1,1,1, -99, 32,
+!    .         "ave(X)", zstophy,zout)
+!
+!        CALL histdef(nid_day_seri, "snow_depth", 
+!IM 080904  .                "Snow Depth (water equivalent)", "m",
+!IM 191104  .                "Snow Depth (water equivalent)", "kg/m2",
+!    .                "Snow Mass", "kg/m2",
+!    .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+!    .               "ave(X)", zstophy,zout)
+!
+           call histdef(nid_day_seri,  &
+               "tsol_"//clnsurf(is_oce),  &
+               "SST over open (ice-free) ocean ", "K",   &
+               iim,jjmp1,nhori, 1,1,1, -99, 32, &
+               "ave(X)", zstophy,zout)
+!
+!=================================================================
+!
          CALL histend(nid_day_seri)
-c
-c=================================================================
+!
+!=================================================================
       ENDIF ! fin de test sur type_run.EQ.AMIP
       
Index: LMDZ5/trunk/libf/phylmd/ini_paramLMDZ_phy.h
===================================================================
--- LMDZ5/trunk/libf/phylmd/ini_paramLMDZ_phy.h	(revision 1861)
+++ LMDZ5/trunk/libf/phylmd/ini_paramLMDZ_phy.h	(revision 1862)
@@ -1,3 +1,3 @@
-cIM    Implemente en modes sequentiel et parallele
+!IM    Implemente en modes sequentiel et parallele
 
        CALL gather(rlat,rlat_glo)
@@ -6,13 +6,13 @@
        CALL bcast(rlon_glo)
 
-c$OMP MASTER
+!$OMP MASTER
       if (is_mpi_root) then
-c
+!
        zstophy = dtime
        zout = mth_len*un_jour
-c
+!
        idayref = day_ref
        CALL ymds2ju(annee_ref, 1, idayref, 0.0, zjulian)
-c
+!
        CALL gr_fi_ecrit(1,klon,iim,jjmp1,rlon_glo,zx_lon)
        if (iim.gt.1) then
@@ -23,111 +23,111 @@
        endif
        CALL gr_fi_ecrit(1,klon,iim,jjmp1,rlat_glo,zx_lat)
-c
-       CALL histbeg("paramLMDZ_phy.nc", 
-     .                 np,zx_lon(np:np,1), np,zx_lat(1,np:np),
-     .                 1,1,1,1,
-     .                 itau_phy, zjulian, dtime,
-     .                 nhori, nid_ctesGCM)
-c
-       CALL histdef(nid_ctesGCM, "R_ecc", 
-     .                "Excentricite","-",
-     .                1,1,nhori, 1,1,1, -99, 32,
-     .                "ave", zstophy,zout)
-c
-       CALL histdef(nid_ctesGCM, "R_peri", 
-     .                "Equinoxe","-",
-     .                1,1,nhori, 1,1,1, -99, 32,
-     .                "ave", zstophy,zout)
-c
-       CALL histdef(nid_ctesGCM, "R_incl", 
-     .                "Inclinaison","deg",
-     .                1,1,nhori, 1,1,1, -99, 32,
-     .                "ave", zstophy,zout)
-c
-       CALL histdef(nid_ctesGCM, "solaire", 
-     .                "Constante solaire","W/m2",
-     .                1,1,nhori, 1,1,1, -99, 32,
-     .                "ave", zstophy,zout)
-c
-       CALL histdef(nid_ctesGCM, "co2_ppm", 
-     .                "Concentration du CO2", "ppm",
-     .                1,1,nhori, 1,1,1, -99, 32, 
-     .                "ave(X)", zstophy,zout)
-c
-       CALL histdef(nid_ctesGCM, "CH4_ppb", 
-     .                "Concentration du CH4", "ppb",
-     .                1,1,nhori, 1,1,1, -99, 32, 
-     .                "ave(X)", zstophy,zout)
-c
-       CALL histdef(nid_ctesGCM, "N2O_ppb",
-     .                "Concentration du N2O", "ppb",
-     .                1,1,nhori, 1,1,1, -99, 32,
-     .                "ave(X)", zstophy,zout)
-c
-       CALL histdef(nid_ctesGCM, "CFC11_ppt",
-     .                "Concentration du CFC11", "ppt",
-     .                1,1,nhori, 1,1,1, -99, 32,
-     .                "ave(X)", zstophy,zout)
-c
-       CALL histdef(nid_ctesGCM, "CFC12_ppt",
-     .                "Concentration du CFC12", "ppt",
-     .                1,1,nhori, 1,1,1, -99, 32,
-     .                "ave(X)", zstophy,zout)
-c
-       CALL histdef(nid_ctesGCM, "bils",
-     .                "Surface total heat flux", "W m-2",
-     .                1,1,nhori, 1,1,1, -99, 32,
-     .                "ave", zstophy,zout)
-c
-       CALL histdef(nid_ctesGCM, "evap",
-     .                "Evaporation", "kg m-2 s-1",
-     .                1,1,nhori, 1,1,1, -99, 32,
-     .                "ave", zstophy,zout)
-c
-       CALL histdef(nid_ctesGCM, "evap_land",
-     .                "Land evaporation", "kg m-2 s-1",
-     .                1,1,nhori, 1,1,1, -99, 32,
-     .                "ave", zstophy,zout)
-c
-       CALL histdef(nid_ctesGCM, "flat",
-     .                "Latent heat flux", "W m-2",
-     .                1,1,nhori, 1,1,1, -99, 32,
-     .                "ave", zstophy,zout)
-c
-       CALL histdef(nid_ctesGCM, "nettop0",
-     .                "Clear sky net downward radiatif flux at TOA", 
-     .                "W m-2",
-     .                1,1,nhori, 1,1,1, -99, 32,
-     .                "ave", zstophy,zout)
-c
-       CALL histdef(nid_ctesGCM, "nettop",
-     .                "Net downward radiatif flux at TOA", "W m-2",
-     .                1,1,nhori, 1,1,1, -99, 32,
-     .                "ave", zstophy,zout)
-c
-       CALL histdef(nid_ctesGCM, "precip",
-     .                "Total precipitation (liq+sol)", "kg m-2 s-1",
-     .                1,1,nhori, 1,1,1, -99, 32,
-     .                "ave", zstophy,zout)
-c
-       CALL histdef(nid_ctesGCM, "tsol",
-     .                "Surface temperature", "K",
-     .                1,1,nhori, 1,1,1, -99, 32,
-     .                "ave", zstophy,zout)
-c
-       CALL histdef(nid_ctesGCM, "t2m",
-     .                "Temperature at 2m", "K",
-     .                1,1,nhori, 1,1,1, -99, 32,
-     .                "ave", zstophy,zout)
-c
-       CALL histdef(nid_ctesGCM, "prw",
-     .                "Precipitable water", "kg m-2",
-     .                1,1,nhori, 1,1,1, -99, 32,
-     .                "ave", zstophy,zout) 
-c=================================================================
-c
+!
+       CALL histbeg("paramLMDZ_phy.nc",  &
+                       np,zx_lon(np:np,1), np,zx_lat(1,np:np), &
+                       1,1,1,1, &
+                       itau_phy, zjulian, dtime, &
+                       nhori, nid_ctesGCM)
+!
+       CALL histdef(nid_ctesGCM, "R_ecc",  &
+                      "Excentricite","-", &
+                      1,1,nhori, 1,1,1, -99, 32, &
+                      "ave", zstophy,zout)
+!
+       CALL histdef(nid_ctesGCM, "R_peri",  &
+                      "Equinoxe","-", &
+                      1,1,nhori, 1,1,1, -99, 32, &
+                      "ave", zstophy,zout)
+!
+       CALL histdef(nid_ctesGCM, "R_incl",  &
+                      "Inclinaison","deg", &
+                      1,1,nhori, 1,1,1, -99, 32, &
+                      "ave", zstophy,zout)
+!
+       CALL histdef(nid_ctesGCM, "solaire",  &
+                      "Constante solaire","W/m2", &
+                      1,1,nhori, 1,1,1, -99, 32, &
+                      "ave", zstophy,zout)
+!
+       CALL histdef(nid_ctesGCM, "co2_ppm",  &
+                      "Concentration du CO2", "ppm", &
+                      1,1,nhori, 1,1,1, -99, 32,  &
+                      "ave(X)", zstophy,zout)
+!
+       CALL histdef(nid_ctesGCM, "CH4_ppb",  &
+                      "Concentration du CH4", "ppb", &
+                      1,1,nhori, 1,1,1, -99, 32,  &
+                      "ave(X)", zstophy,zout)
+!
+       CALL histdef(nid_ctesGCM, "N2O_ppb", &
+                      "Concentration du N2O", "ppb", &
+                      1,1,nhori, 1,1,1, -99, 32, &
+                      "ave(X)", zstophy,zout)
+!
+       CALL histdef(nid_ctesGCM, "CFC11_ppt", &
+                      "Concentration du CFC11", "ppt", &
+                      1,1,nhori, 1,1,1, -99, 32, &
+                      "ave(X)", zstophy,zout)
+!
+       CALL histdef(nid_ctesGCM, "CFC12_ppt", &
+                      "Concentration du CFC12", "ppt", &
+                      1,1,nhori, 1,1,1, -99, 32, &
+                      "ave(X)", zstophy,zout)
+!
+       CALL histdef(nid_ctesGCM, "bils", &
+                      "Surface total heat flux", "W m-2", &
+                      1,1,nhori, 1,1,1, -99, 32, &
+                      "ave", zstophy,zout)
+!
+       CALL histdef(nid_ctesGCM, "evap", &
+                      "Evaporation", "kg m-2 s-1", &
+                      1,1,nhori, 1,1,1, -99, 32, &
+                      "ave", zstophy,zout)
+!
+       CALL histdef(nid_ctesGCM, "evap_land", &
+                      "Land evaporation", "kg m-2 s-1", &
+                      1,1,nhori, 1,1,1, -99, 32, &
+                      "ave", zstophy,zout)
+!
+       CALL histdef(nid_ctesGCM, "flat", &
+                      "Latent heat flux", "W m-2", &
+                      1,1,nhori, 1,1,1, -99, 32, &
+                      "ave", zstophy,zout)
+!
+       CALL histdef(nid_ctesGCM, "nettop0", &
+                      "Clear sky net downward radiatif flux at TOA",  &
+                      "W m-2", &
+                      1,1,nhori, 1,1,1, -99, 32, &
+                      "ave", zstophy,zout)
+!
+       CALL histdef(nid_ctesGCM, "nettop", &
+                      "Net downward radiatif flux at TOA", "W m-2", &
+                      1,1,nhori, 1,1,1, -99, 32, &
+                      "ave", zstophy,zout)
+!
+       CALL histdef(nid_ctesGCM, "precip", &
+                      "Total precipitation (liq+sol)", "kg m-2 s-1", &
+                      1,1,nhori, 1,1,1, -99, 32, &
+                      "ave", zstophy,zout)
+!
+       CALL histdef(nid_ctesGCM, "tsol", &
+                      "Surface temperature", "K", &
+                      1,1,nhori, 1,1,1, -99, 32, &
+                      "ave", zstophy,zout)
+!
+       CALL histdef(nid_ctesGCM, "t2m", &
+                      "Temperature at 2m", "K", &
+                      1,1,nhori, 1,1,1, -99, 32, &
+                      "ave", zstophy,zout)
+!
+       CALL histdef(nid_ctesGCM, "prw", &
+                      "Precipitable water", "kg m-2", &
+                      1,1,nhori, 1,1,1, -99, 32, &
+                      "ave", zstophy,zout) 
+!=================================================================
+!
        CALL histend(nid_ctesGCM)
        
        endif !(is_mpi_root)
-c$OMP END MASTER
-c=================================================================
+!$OMP END MASTER
+!=================================================================
